Bug 204874 - can't create initrd images for clients with a different architecture
can't create initrd images for clients with a different architecture
Product: Fedora
Classification: Fedora
Component: system-config-netboot (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jaroslav Reznik
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2006-08-31 20:15 EDT by Bernie Innocenti
Modified: 2010-04-14 09:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-04-14 09:43:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bernie Innocenti 2006-08-31 20:15:56 EDT
The updateDiskless uses chroot to perform links and some
other stuff in the initrd image.

This prevents an i386 server to create images for x86_64
clients, or other combinations.
Comment 1 Fabio Olive Leite 2007-11-12 15:45:33 EST
Reassigning to component owner.
Comment 2 Bug Zapper 2008-04-03 14:05:54 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Radek Brich 2008-04-18 04:07:49 EDT
This is RFE, changing back to Assigned.
Comment 4 Bug Zapper 2008-05-13 22:18:56 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 6 Bug Zapper 2009-06-09 18:16:05 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 7 Bernie Innocenti 2009-06-10 06:32:33 EDT
This bug has not been fixed yet, reassigning to rawhide.
Comment 8 Bug Zapper 2009-11-16 02:52:24 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
Comment 9 Jaroslav Reznik 2010-04-14 09:43:04 EDT
System-config-netboot is entering maintainance-only phase and the whole package will be deprecated soon. There are no plans for active development, only high severity issues bugfixing.

Note You need to log in before you can comment on or make changes to this bug.